#include <iostream>

using namespace std;

int main()
{   int n,i,j,amax=0,imax,rotacija=1,pom,aimax=0,poredak=1,poredak2=1,p2=0;
    cin>>n;
    int a[n+1];
    for(i=1;i<=n;i++)
    {
        cin>>a[i];
        if(a[i]>=amax) {amax=a[i];imax=i;}
    }
    for(i=2;i<=n;i++)
    {
        if(a[i-1]<=a[i]) poredak=0;
    }
    if (poredak==1)
    {
        pom=a[n];
        a[n]=a[n-1];
        a[n-1]=pom;
        rotacija=0;
    }
    if(poredak==0)
    {
    for(i=1;i<=n&&rotacija;i++)
    {
        for(j=i+1;j<=n;j++)
        if(a[i]<a[j]) {if(a[j]>=aimax) {aimax=a[j];imax=j;p2=1;}}
        if(p2) {pom=a[i];
        a[i]=aimax;
        a[imax]=pom;
        if(a[i]>a[imax]) rotacija=0;}
    }
    }
    for(i=1;i<=n;i++)
    {
        cout<<a[i]<<" ";
    }
    return 0;
}